Subject: Re: [TEST] vxlan brige test flakiness

From: Petr Machata <[email-masked]>
Date: Thu, 4 Dec 2025 18:46:30 +0100

Jakub Kicinski <[email-masked]> writes:

> Hi!
>
> We're seeing a few more flakes on vxlan-bridge-1q-mc-ul-sh and
> vxlan-bridge-1q-mc-ul-sh in the new setup than we used to (tho
> the former was always relatively flaky).

You listed the same test twice, so that's the one that I'm looking into now.

> # 141.78 [+13.13] TEST: VXLAN MC flood IPv6 mcroute changelink                        [FAIL]
> # 141.78 [+0.00] Expected 10 packets on H2, got 11

I can probably reproduce the same by removing the vx_wait() sleep.

> # 141.83 [+0.04] smcroutectl: mroute: deleting route from lo10 (192.0.2.33/32,233.252.0.1/32)
>
> https://netdev.bots.linux.dev/contest.html?pass=0&executor=vmksft-forwarding&test=vxlan-bridge-1q-mc-ul-sh&pw-n=0
>
> Perhaps we should make the filter more specific to the test traffic?

Yeah, we match on just the VXLAN packets themselves, not the payload,
because matching on the encap packet is a bit annoying. Then it gets
confused by some ndisc garbage in the overlay. We can match on the
inside using u32, but it needs tweaks in a couple places. I should be
able to send a fix tomorrow.

> LMK if you need access to the system.